# Fedora package release versions are committed as versions in upstream
%global origrel 1

Name:		tracer
Version:	0.6.12
Release:	%mkrel 1
Summary:	Finds outdated running applications in your system

BuildArch:	noarch
Group:		System/Packaging
License:	GPLv2+
URL:		http://tracer-package.com/

Source0:	https://github.com/FrostyX/tracer/archive/%{name}-%{version}-%{origrel}.tar.gz


BuildRequires:	asciidoc
BuildRequires:	gettext

Requires:	python3-%{name} = %{version}-%{release}

%package -n %{name}-common
Summary:	Common data files for %{name}
Group:		System/Packaging

%description -n %{name}-common
This package contains common data files for %{name}.

%package -n python2-%{name}
Summary:	%{summary}
Group:		Development/Python
Provides:	python-%{name} = %{version}-%{release}
BuildRequires:	python2-devel
BuildRequires:	python-sphinx
BuildRequires:	python-sphinx_rtd_theme
BuildRequires:	python-beautifulsoup4
BuildRequires:	python-psutil
BuildRequires:	python-pygments
BuildRequires:	python-lxml
BuildRequires:	python-rpm
Requires:	python-rpm
Requires:	python-beautifulsoup4
Requires:	python-psutil
Requires:	python-lxml
Requires:	%{name}-common = %{version}-%{release}

%package -n python3-%{name}
Summary:	%{summary}
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	python3-beautifulsoup4
BuildRequires:	python3-psutil
BuildRequires:	python3-pygments
BuildRequires:	python3-lxml
BuildRequires:	python3-rpm
Requires:	python3-rpm
Requires:	python3-beautifulsoup4
Requires:	python3-psutil
Requires:	python3-lxml
Requires:	%{name}-common = %{version}-%{release}

%global _description \
Tracer determines which applications use outdated files and prints them.\
For special kind of applications such as services or daemons, it suggests\
a standard command to restart it. Detecting whether file is outdated or\
not is based on a simple idea. If application has loaded in memory any\
version of a file which is provided by any package updated since system\
was booted up, tracer consider this application as outdated.

%description
%{_description}

%description -n python2-%{name}
%{_description}

Python 2 version.

%description -n python3-%{name}
%{_description}

Python 3 version.


%prep
%setup -q -n %{name}-%{name}-%{version}-%{origrel}


%build
%py2_build
%py3_build
%make_build man
sed "s/\/usr\/bin\/python/\/usr\/bin\/python2/" bin/tracer.py > bin/tracer-2
sed "s/\/usr\/bin\/python/\/usr\/bin\/python3/" bin/tracer.py > bin/tracer-3
chmod +x bin/tracer-2 bin/tracer-3


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/tracer
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{python2_sitelib}/tracer
mkdir -p %{buildroot}%{python3_sitelib}/tracer
cp -a bin/tracer-2 %{buildroot}%{_bindir}
cp -a bin/tracer-3 %{buildroot}%{_bindir}
ln -sf tracer-3 %{buildroot}%{_bindir}/tracer
cp -a data/* %{buildroot}%{_datadir}/tracer/
cp -ar tracer/* tests %{buildroot}%{python2_sitelib}/tracer/
cp -ar tracer/* tests %{buildroot}%{python3_sitelib}/tracer/
install -m644 doc/build/man/tracer.8 %{buildroot}%{_mandir}/man8/
make DESTDIR=%{buildroot}%{_datadir} mo
%find_lang %{name}

%files -n tracer-common -f %{name}.lang
%doc README.md
%license LICENSE
%{_datadir}/tracer/
%exclude %{_datadir}/tracer/*.pyo
%exclude %{_datadir}/tracer/*.pyc
%{_mandir}/man8/tracer.8*

%files -n python2-%{name}
%license LICENSE
%{python2_sitelib}/%{name}/
%{_bindir}/tracer-2

%files -n python3-%{name}
%license LICENSE
%{python3_sitelib}/%{name}/
%{_bindir}/tracer-3

%files
%{_bindir}/tracer


%changelog
* Thu Nov 24 2016 ngompa <ngompa> 0.6.12-1.mga6
+ Revision: 1069682
- Update to 0.6.12

* Sun Sep 25 2016 ngompa <ngompa> 0.6.11-1.mga6
+ Revision: 1055956
- Upgrade to 0.6.11
- Switch to Python 3 by default
- Split out Python modules into subpackages

* Sat Jan 23 2016 ngompa <ngompa> 0.6.7-2.mga6
+ Revision: 926740
- Import tracer into Mageia

